
Colony - Task #1513

Get Letter of Rec from George

10/13/2010 08:41 PM - John Sexton

Status: Fixed Start date: 10/13/2010

Priority: Normal Due date: 10/22/2010

Assignee: John Sexton % Done: 100%

Category: Administration Estimated time: 0.00 hour

Target version:    

Description

Will need a letter of recommendation from a mentor for SURG application by SURG due date.

History

#1 - 10/18/2010 06:29 PM - John Sexton

- Priority changed from High to Urgent

#2 - 10/22/2010 05:06 PM - Alex Zirbel

- Status changed from Assigned to Fixed

- Priority changed from Urgent to Normal

- % Done changed from 0 to 100
